Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ws
Interface WSRowSet

All Superinterfaces:
  NavigatableRowIterator, Properties, RowIterator, RowSet, RowSetIterator, VariableManagerOwner, XMLInterface

All Known Implementing Classes:
  WSRowSetImpl, WSViewObjectImpl

public interface WSRowSet
extends RowSet

Field Summary

Fields inherited from interface oracle.jbo.RowSet
`FORWARD_ONLY, RANGE_PAGING, RANGE_PAGING_AUTO_POST, SCROLLABLE`

Fields inherited from interface oracle.jbo.RowIterator
`ITER_MODE_LAST_PAGE_FULL, ITER_MODE_LAST_PAGE_PARTIAL, SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_IGNORE_DEPTH_COUNT, XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Method Summary
`void` | `executeQuery2(boolean resetCurrency, boolean force)`
`RowSetIterator` | `findOrCreateRowSetIterator(java.lang.String name)`
`AccTravDef` | `getAccessorTraversalDef()`
`boolean` | `hasAccessorTraversalDef()`
`boolean` | `isExecuteQuery()`
`boolean` | `isRefreshDataModel()`
`void` | `refreshDataModel()`
`void` | `refreshDataModel2(boolean resetCurrency, boolean force)`
`void` | `requestEstimatedRowCount()`
`void` | `setAccessorTraversalByNamePaths(java.lang.String[] namePaths)`
`void` | `setAccessorTraversalDef(AccTravDef accTravDef)`

Methods inherited from interface oracle.jbo.RowSet
`cancelQuery, closeRowSet, createRowSetIterator, defineNamedWhereClauseParam, executeQuery, findRowSetIterator, getAccessMode, getApplicationModule, getEstimatedRowCount, getMasterRowSetIterators, getName, getRowSetIterators, getViewObject, getWhereClauseParams, isAssociationConsistent, isExecuted, isFetchComplete, isForwardOnly, isMaxFetchSizeExceeded, removeMasterRowSetIterator, removeNamedWhereClauseParam, setAccessMode, setAssociationConsistent, setForwardOnly, setMasterRowSetIterator, setNamedWhereClauseParam, setWhereClauseParam, setWhereClauseParams, skipNamedWhereClauseParam`

Methods inherited from interface oracle.jbo.RowSetIterator
`addManagementListener, closeRowSetIterator, createDetailRowSet, getDetailRowSets, getEstimatedRangePageCount, getFilteredRows, getFilteredRowsInRange, getNextRangeSet, getPreviousRangeSet, getRowSet, getSyncLock, isNameGenerated, removeManagementListener, scrollToRangePage`

Methods inherited from interface oracle.jbo.NavigatableRowIterator
`addListener, removeListener`

Methods inherited from interface oracle.jbo.RowIterator
`createAndInitRow, createKey, createRow, enumerateRowsInRange, findByEntity, findByKey, findByViewCriteria, first, getAllRowsInRange, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getFetchedRowCount, getIterMode, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowCount, getRowCountInRange, hasNext, hasPrevious, insertRow, insertRowAtRangeIndex, isRangeAtBottom, isRangeAtTop, isRowValidation, last, next, previous, removeCurrentRow, removeCurrentRowAndRetain, removeCurrentRowFromCollection, reset, scrollRange, scrollRangeTo, setCurrentRow, setCurrentRowAtRangeIndex, setIterMode, setRangeSize, setRangeStart, setRowValidation`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`ensureVariableManager, getMessageBundleClass, getVariableManager, hasVariables`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.XMLInterface
`readXML, readXML, writeXML, writeXML, writeXML, writeXML`

Method Detail

### isExecuteQuery

    public boolean isExecuteQuery()

### isRefreshDataModel

    public boolean isRefreshDataModel()

### refreshDataModel

    public void refreshDataModel()

### refreshDataModel2

    public void refreshDataModel2(boolean resetCurrency,
                                  boolean force)

### requestEstimatedRowCount

    public void requestEstimatedRowCount()

### findOrCreateRowSetIterator

    public RowSetIterator findOrCreateRowSetIterator(java.lang.String name)

### executeQuery2

    public void executeQuery2(boolean resetCurrency,
                              boolean force)

### setAccessorTraversalByNamePaths

    public void setAccessorTraversalByNamePaths(java.lang.String[] namePaths)

### getAccessorTraversalDef

    public AccTravDef getAccessorTraversalDef()

### setAccessorTraversalDef

    public void setAccessorTraversalDef(AccTravDef accTravDef)

### hasAccessorTraversalDef

    public boolean hasAccessorTraversalDef()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.